package com.yihu.wlyy.entity.patient;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.wlyy.entity.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * 家庭签约
 */
@Entity
@Table(name = "wlyy_sign_family_mapping")
public class SignFamilyMapping extends IdEntity {


	// 签约标识
	private String code;
	// 映射ID
	private String proId;
	// 身份证
	private String idcard;
	// 创建时间
	private Date createTime;
	// 是否需要更新 0否 1是
	private String needUpdate;
	// 更新时间
	private Date updateTime;
	// 是否需要上传 0否 1是
	private String needUpload;
	// 上传时间
	private Date uploadTime;

	//签约年度
	private String SignYear;
	//是否需要上传预签
	private String needRenewUpload;
	//上传预签时间
	private Date renewUploadTime;
	//基卫续签ID
	private String renewProId;

	public String getSignYear() {
		return SignYear;
	}

	public void setSignYear(String signYear) {
		SignYear = signYear;
	}

	public String getNeedRenewUpload() {
		return needRenewUpload;
	}

	public void setNeedRenewUpload(String needRenewUpload) {
		this.needRenewUpload = needRenewUpload;
	}

	public Date getRenewUploadTime() {
		return renewUploadTime;
	}

	public void setRenewUploadTime(Date renewUploadTime) {
		this.renewUploadTime = renewUploadTime;
	}

	public String getRenewProId() {
		return renewProId;
	}

	public void setRenewProId(String renewProId) {
		this.renewProId = renewProId;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	@Column(name = "pro_id")
	public String getProId() {
		return proId;
	}

	public void setProId(String proId) {
		this.proId = proId;
	}

	@Column(name = "need_update")
	public String getNeedUpdate() {
		return needUpdate;
	}

	public void setNeedUpdate(String needUpdate) {
		this.needUpdate = needUpdate;
	}

	@Column(name = "create_time")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	@Column(name = "update_time")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	@Column(name = "upload_time")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	public Date getUploadTime() {
		return uploadTime;
	}

	public void setUploadTime(Date uploadTime) {
		this.uploadTime = uploadTime;
	}

	public String getIdcard() {
		return idcard;
	}

	public void setIdcard(String idcard) {
		this.idcard = idcard;
	}

	@Column(name = "need_upload")
	public String getNeedUpload() {
		return needUpload;
	}

	public void setNeedUpload(String needUpload) {
		this.needUpload = needUpload;
	}
}
